scripts: mkemmc.sh: Fix output pollution on missing images

Reorder the redirections so that the 2>/dev/null can actually take
effect.

Signed-off-by: Jan Kiszka <jan.kiszka@siemens.com>
Reviewed-by: Philippe Mathieu-Daudé <philmd@linaro.org>
Reviewed-by: Jerome Forissier <jerome.forissier@arm.com>
Message-ID: <b9d603b7396719f38e03cd969a4ac1b48f5ea96a.1776231967.git.jan.kiszka@siemens.com>
Signed-off-by: Philippe Mathieu-Daudé <philmd@linaro.org>
This commit is contained in:
Jan Kiszka
2026-04-15 07:46:06 +02:00
committed by Philippe Mathieu-Daudé
parent 27d14251b9
commit 800eca1371

View File

@@ -40,7 +40,7 @@ process_size() {
alignment=$3
image_arg=$4
if [ "${image_arg#*:}" = "$image_arg" ]; then
if ! size=$(wc -c < "$image_file" 2>/dev/null); then
if ! size=$(wc -c 2>/dev/null < "$image_file"); then
echo "Missing $name image '$image_file'." >&2
exit 1
fi
@@ -102,7 +102,7 @@ check_truncation() {
if [ "$image_file" = "/dev/zero" ]; then
return
fi
if ! actual_size=$(wc -c < "$image_file" 2>/dev/null); then
if ! actual_size=$(wc -c 2>/dev/null < "$image_file"); then
echo "Missing image '$image_file'." >&2
exit 1
fi